Enchant Generic spell checking library

Public Attributes | List of all members
EnchantBrokerNoProvidersTestFixture Struct Reference
Inheritance diagram for EnchantBrokerNoProvidersTestFixture:
[legend]
Collaboration diagram for EnchantBrokerNoProvidersTestFixture:
[legend]

## Public Attributes
EnchantBroker * | _broker
std::vector< ProviderDescription > | _providerList

## Additional Inherited Members
Public Member Functions inherited from EnchantTestFixture
void | CleanUpFiles ()
std::string | GetTempUserEnchantDir ()
std::string | GetEnchantConfigDir ()
std::string | Convert (const std::wstring &ws)
std::wstring | Convert (const std::string &s)
Static Public Member Functions inherited from EnchantTestFixture
static void | DeleteDirAndFiles (const std::string &dir)
static std::string | GetTemporaryFilename (const std::string &prefix)
static void | CreateDirectory (const std::string &filepath)
static void | CreateFile (const std::string &filepath)
static void | DeleteFile (const std::string &filepath)
static bool | FileExists (const std::string &filepath)
static std::string | AddToPath (const std::string &path, const std::string &fileOrDirName)

The documentation for this struct was generated from the following file:

- tests/broker/enchant_broker_describe_tests.cpp